#! python
# -*- coding: utf-8 -*-
"""Create pyramid logo."""

import numpy as np

import pyramid as pr


# Parameters:
dim = (32, 32, 32)
a = 1.0  # in nm
phi = np.pi / 4  # in rad
theta = np.pi / 2  # in rad
amplitude = 1
filename = 'magdata_mc_homog_sphere.hdf5'

# Magnetic shape:
center = (dim[0] // 2 - 0.5, dim[1] // 2 - 0.5, dim[2] // 2 - 0.5)
radius = dim[2] // 4  # in px
mag_shape = pr.shapes.sphere(dim, center, radius)

# Create and save VectorData object:
mag_data = pr.VectorData(a, pr.magcreator.create_mag_dist_homog(mag_shape, phi, theta, amplitude))
mag_data.save_to_hdf5(filename, overwrite=True)
